<!--
The MIT License (MIT)

Copyright (c) Mon Jun 29 2015 Markus Benovsky

Permission is hereby granted, free of charge, to any person obtaining a copy of
this software and associated documentation files (the "Software"), to deal in
the Software without restriction, including without limitation the rights to
use, copy, modify, merge, publish, distribute, sublicense, and/or sell copies of
the Software, and to permit persons to whom the Software is furnished to do so,
subject to the following conditions:

The above copyright notice and this permission notice shall be included in all
copies or substantial portions of the Software.

THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY, FITNESS
FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE AUTHORS OR
COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY, WHETHER
IN AN ACTION OF CONTRACT, TORTOR OTHERWISE, ARISING FROM, OUT OF OR IN
CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.
-->

<?php $ini = new IniFile(CONFIG_PATH. 'dashboard.ini'); ?>

<style type="text/css">
    body {
        padding-top: 12%;
        padding-bottom: 40px;
        background-color: #42A5F5;
    }
    
    .padding {
        padding: 20px;
    }
</style>

<div class="navbar navbar-fixed-top" style="background-color: #42A5F5;">
  <div class="navbar-header">
    <button type="button" class="navbar-toggle" data-toggle="collapse" data-target=".navbar-warning-collapse">
      <span class="icon-bar"></span>
      <span class="icon-bar"></span>
      <span class="icon-bar"></span>
    </button>
    <a class="navbar-brand" href="javascript:void(0)">Afgor CMS</a>
  </div>
  <div class="navbar-collapse collapse navbar-warning-collapse">
    <ul class="nav navbar-nav">
      <li class="<?php if (htmlspecialchars($_GET["page"]) == "") echo 'active'; ?>"><a href="index.php">Home</a></li>
      <li class="<?php if (htmlspecialchars($_GET["page"]) == "posts") echo 'active'; ?>"><a href="index.php?page=posts">Posts</a></li>
      <li class="<?php if (htmlspecialchars($_GET["page"]) == "media") echo 'active'; ?>"><a href="index.php?page=media">Media</a></li>
      <li class="<?php if (htmlspecialchars($_GET["page"]) == "users") echo 'active'; ?>"><a href="index.php?page=users">Users</a></li>
      <li class="<?php if (htmlspecialchars($_GET["page"]) == "settings") echo 'active'; ?>"><a href="index.php?page=settings">Settings</a></li>
      <li class="<?php if (htmlspecialchars($_GET["page"]) == "howto") echo 'active'; ?>"><a href="index.php?page=howto">How to use</a></li>
    </ul>
    <ul class="nav navbar-nav navbar-right" style="margin-right: 0px;">
      <li class="dropdown">
        <a href="http://fezvrasta.github.io/bootstrap-material-design/bootstrap-elements.html" data-target="#" class="dropdown-toggle" data-toggle="dropdown">User action <b class="caret"></b></a>
        <ul class="dropdown-menu">
            <li><a href="../">Visit your website</a></li>
          <li class="divider"></li>
            <li><a href="<?php echo $_SERVER['PHP_SELF']; ?>?signout=1">Sign out</a></li>
        </ul>
      </li>
    </ul>
  </div>
</div>

<div class="container">
    
    <div class="row">
        <div class="col-md-12">
            <div class="panel padding" style="text-align: center;">
                <h1>Afgor CMS</h1>
                <p class="lead">Simple content managment system for your personal website and blog.<br>Visit <i><b>afgor.com/cms</b></i> for more information.</p>
                <a class="btn btn-success" href="../"><i class="icon-imac"></i> View your website</a>
                <a class="btn btn-info" href="https://github.com/MarkusBansky/afgor-cms"><i class="icon-guthub"></i> Visit GitHub page</a>
            </div>
        </div>
    </div>
    <br><br>
    <div class="row">
        <div class="col-md-4">
            <div class="list-group panel padding">
                <div class="list-group-item">
                    <div class="row-picture">
                        <img class="circle" src="http://material-design.storage.googleapis.com/publish/material_v_4/material_ext_publish/0Bx4BSt6jniD7NndTQW9VZTlZV2s/materialdesign_principles_bold.png" alt="Markus Benovsky">
                    </div>
                    <div class="row-content">
                        <h4 class="list-group-item-heading">Bootstrap and Material</h4>
                        <p class="list-group-item-text">Html and style is written using bootstrap and material design, also using AgularJS. Pretty clear to interact with.</p>
                    </div>
                </div>
            </div>
        </div>
        <div class="col-md-4">
            <div class="list-group panel padding">
                <div class="list-group-item">
                    <div class="row-picture">
                        <img class="circle" src="http://pzzzz.tripod.com/G/unclesamfighting.jpg" alt="Markus Benovsky">
                    </div>
                    <div class="row-content">
                        <h4 class="list-group-item-heading">Proudly with love</h4>
                        <p class="list-group-item-text">So you can use Afgor CMS with pleasure. And make your administrative work more interesting.</p>
                    </div>
                </div>
            </div>
        </div>
        <div class="col-md-4">
            <div class="list-group panel padding">
                <div class="list-group-item">
                    <div class="row-picture">
                        <img class="circle" src="http://icons.iconarchive.com/icons/graphicloads/100-flat/256/warning-icon.png" alt="Markus Benovsky">
                    </div>
                    <div class="row-content">
                        <h4 class="list-group-item-heading">Help needed</h4>
                        <p class="list-group-item-text">Please stay calmly and help afgor-cms to improve. If you found a bug or anything else what you dont like, please report an issue.</p>
                    </div>
                </div>
            </div>
        </div>
    </div>

</div>